Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.monitoring.core.signaturePattern
Class PatternEntry

    java.lang.Object
      kieker.monitoring.core.signaturePattern.PatternEntry

All Implemented Interfaces:
  Serializable

    public class PatternEntry

extends Object
implements Serializable

the activated state is ignored for purposes of equals() and hashcode().

Since:
  1.6
Author:
  Bjoern Weissenfels, Jan Waller
See Also:
  Serialized Form

Constructor Summary
`PatternEntry(String strPattern, boolean activated)` Creates a new pattern entry using the given parameters.
`PatternEntry(String strPattern, Pattern pattern, boolean activated)` Creates a new pattern entry using the given parameters.

Method Summary
`boolean` | `equals(Object obj)`
`Pattern` | `getPattern()`
`String` | `getStrPattern()`
`int` | `hashCode()`
`boolean` | `isActivated()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PatternEntry

    public PatternEntry(String strPattern,
                        boolean activated)
                 throws InvalidPatternException

  Creates a new pattern entry using the given parameters.

  Parameters:
    `strPattern` - The pattern string.
    `activated` - Determines the activated state.
  Throws:
    `InvalidPatternException` - If the given pattern is invalid.

### PatternEntry

    public PatternEntry(String strPattern,
                        Pattern pattern,
                        boolean activated)

  Creates a new pattern entry using the given parameters.

  Parameters:
    `strPattern` - The pattern string.
    `activated` - Determines the activated state.
    `pattern` - The pattern.

Method Detail

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getStrPattern

    public String getStrPattern()

### getPattern

    public Pattern getPattern()

### isActivated

    public boolean isActivated()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net